Package org.apache.cxf.common.jaxb

# Interface JAXBUtils.JType

Enclosing class:
  JAXBUtils

public static interface JAXBUtils.JType

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `binaryName()`
  `Iterator<JAXBUtils.JType>`
  `classes()`
  `JAXBUtils.JType`
  `elementType()`
  `String`
  `fullName()`
  `boolean`
  `isArray()`
  `boolean`
  `isPrimitive()`
  `String`
  `name()`

- ## Method Details

  - ### isArray

    boolean isArray()

  - ### elementType

    JAXBUtils.JType elementType()

  - ### isPrimitive

    boolean isPrimitive()

  - ### binaryName

    String binaryName()

  - ### fullName

    String fullName()

  - ### name

    String name()

  - ### classes

    Iterator<JAXBUtils.JType> classes()